Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network48.57.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
48.57.0.0
Broadcast address
48.57.127.255
First usable
48.57.0.1
Last usable
48.57.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 30390000 · Integer 809041920 to 809074687
Reverse DNS zones
0.57.48.in-addr.arpa
1.57.48.in-addr.arpa
2.57.48.in-addr.arpa
3.57.48.in-addr.arpa
4.57.48.in-addr.arpa
5.57.48.in-addr.arpa
6.57.48.in-addr.arpa
7.57.48.in-addr.arpa
8.57.48.in-addr.arpa
9.57.48.in-addr.arpa
10.57.48.in-addr.arpa
11.57.48.in-addr.arpa
12.57.48.in-addr.arpa
13.57.48.in-addr.arpa
14.57.48.in-addr.arpa
15.57.48.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110000.00111001.00000000.0000000048.57.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00110000.00111001.00000000.0000000048.57.0.0
Broadcast00110000.00111001.01111111.1111111148.57.127.255
Split into smaller subnets/28

48.57.0.0/17 makes 2,048 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
148.57.0.0/2848.57.0.1 to 48.57.0.1448.57.0.1514
248.57.0.16/2848.57.0.17 to 48.57.0.3048.57.0.3114
348.57.0.32/2848.57.0.33 to 48.57.0.4648.57.0.4714
448.57.0.48/2848.57.0.49 to 48.57.0.6248.57.0.6314
548.57.0.64/2848.57.0.65 to 48.57.0.7848.57.0.7914
648.57.0.80/2848.57.0.81 to 48.57.0.9448.57.0.9514
748.57.0.96/2848.57.0.97 to 48.57.0.11048.57.0.11114
848.57.0.112/2848.57.0.113 to 48.57.0.12648.57.0.12714
948.57.0.128/2848.57.0.129 to 48.57.0.14248.57.0.14314
1048.57.0.144/2848.57.0.145 to 48.57.0.15848.57.0.15914
1148.57.0.160/2848.57.0.161 to 48.57.0.17448.57.0.17514
1248.57.0.176/2848.57.0.177 to 48.57.0.19048.57.0.19114
1348.57.0.192/2848.57.0.193 to 48.57.0.20648.57.0.20714
1448.57.0.208/2848.57.0.209 to 48.57.0.22248.57.0.22314
1548.57.0.224/2848.57.0.225 to 48.57.0.23848.57.0.23914
1648.57.0.240/2848.57.0.241 to 48.57.0.25448.57.0.25514
1748.57.1.0/2848.57.1.1 to 48.57.1.1448.57.1.1514
1848.57.1.16/2848.57.1.17 to 48.57.1.3048.57.1.3114
1948.57.1.32/2848.57.1.33 to 48.57.1.4648.57.1.4714
2048.57.1.48/2848.57.1.49 to 48.57.1.6248.57.1.6314
2148.57.1.64/2848.57.1.65 to 48.57.1.7848.57.1.7914
2248.57.1.80/2848.57.1.81 to 48.57.1.9448.57.1.9514
2348.57.1.96/2848.57.1.97 to 48.57.1.11048.57.1.11114
2448.57.1.112/2848.57.1.113 to 48.57.1.12648.57.1.12714
2548.57.1.128/2848.57.1.129 to 48.57.1.14248.57.1.14314
2648.57.1.144/2848.57.1.145 to 48.57.1.15848.57.1.15914
2748.57.1.160/2848.57.1.161 to 48.57.1.17448.57.1.17514
2848.57.1.176/2848.57.1.177 to 48.57.1.19048.57.1.19114
2948.57.1.192/2848.57.1.193 to 48.57.1.20648.57.1.20714
3048.57.1.208/2848.57.1.209 to 48.57.1.22248.57.1.22314
3148.57.1.224/2848.57.1.225 to 48.57.1.23848.57.1.23914
3248.57.1.240/2848.57.1.241 to 48.57.1.25448.57.1.25514
3348.57.2.0/2848.57.2.1 to 48.57.2.1448.57.2.1514
3448.57.2.16/2848.57.2.17 to 48.57.2.3048.57.2.3114
3548.57.2.32/2848.57.2.33 to 48.57.2.4648.57.2.4714
3648.57.2.48/2848.57.2.49 to 48.57.2.6248.57.2.6314
3748.57.2.64/2848.57.2.65 to 48.57.2.7848.57.2.7914
3848.57.2.80/2848.57.2.81 to 48.57.2.9448.57.2.9514
3948.57.2.96/2848.57.2.97 to 48.57.2.11048.57.2.11114
4048.57.2.112/2848.57.2.113 to 48.57.2.12648.57.2.12714
4148.57.2.128/2848.57.2.129 to 48.57.2.14248.57.2.14314
4248.57.2.144/2848.57.2.145 to 48.57.2.15848.57.2.15914
4348.57.2.160/2848.57.2.161 to 48.57.2.17448.57.2.17514
4448.57.2.176/2848.57.2.177 to 48.57.2.19048.57.2.19114
4548.57.2.192/2848.57.2.193 to 48.57.2.20648.57.2.20714
4648.57.2.208/2848.57.2.209 to 48.57.2.22248.57.2.22314
4748.57.2.224/2848.57.2.225 to 48.57.2.23848.57.2.23914
4848.57.2.240/2848.57.2.241 to 48.57.2.25448.57.2.25514
4948.57.3.0/2848.57.3.1 to 48.57.3.1448.57.3.1514
5048.57.3.16/2848.57.3.17 to 48.57.3.3048.57.3.3114
5148.57.3.32/2848.57.3.33 to 48.57.3.4648.57.3.4714
5248.57.3.48/2848.57.3.49 to 48.57.3.6248.57.3.6314
5348.57.3.64/2848.57.3.65 to 48.57.3.7848.57.3.7914
5448.57.3.80/2848.57.3.81 to 48.57.3.9448.57.3.9514
5548.57.3.96/2848.57.3.97 to 48.57.3.11048.57.3.11114
5648.57.3.112/2848.57.3.113 to 48.57.3.12648.57.3.12714
5748.57.3.128/2848.57.3.129 to 48.57.3.14248.57.3.14314
5848.57.3.144/2848.57.3.145 to 48.57.3.15848.57.3.15914
5948.57.3.160/2848.57.3.161 to 48.57.3.17448.57.3.17514
6048.57.3.176/2848.57.3.177 to 48.57.3.19048.57.3.19114
6148.57.3.192/2848.57.3.193 to 48.57.3.20648.57.3.20714
6248.57.3.208/2848.57.3.209 to 48.57.3.22248.57.3.22314
6348.57.3.224/2848.57.3.225 to 48.57.3.23848.57.3.23914
6448.57.3.240/2848.57.3.241 to 48.57.3.25448.57.3.25514
6548.57.4.0/2848.57.4.1 to 48.57.4.1448.57.4.1514
6648.57.4.16/2848.57.4.17 to 48.57.4.3048.57.4.3114
6748.57.4.32/2848.57.4.33 to 48.57.4.4648.57.4.4714
6848.57.4.48/2848.57.4.49 to 48.57.4.6248.57.4.6314
6948.57.4.64/2848.57.4.65 to 48.57.4.7848.57.4.7914
7048.57.4.80/2848.57.4.81 to 48.57.4.9448.57.4.9514
7148.57.4.96/2848.57.4.97 to 48.57.4.11048.57.4.11114
7248.57.4.112/2848.57.4.113 to 48.57.4.12648.57.4.12714
7348.57.4.128/2848.57.4.129 to 48.57.4.14248.57.4.14314
7448.57.4.144/2848.57.4.145 to 48.57.4.15848.57.4.15914
7548.57.4.160/2848.57.4.161 to 48.57.4.17448.57.4.17514
7648.57.4.176/2848.57.4.177 to 48.57.4.19048.57.4.19114
7748.57.4.192/2848.57.4.193 to 48.57.4.20648.57.4.20714
7848.57.4.208/2848.57.4.209 to 48.57.4.22248.57.4.22314
7948.57.4.224/2848.57.4.225 to 48.57.4.23848.57.4.23914
8048.57.4.240/2848.57.4.241 to 48.57.4.25448.57.4.25514
8148.57.5.0/2848.57.5.1 to 48.57.5.1448.57.5.1514
8248.57.5.16/2848.57.5.17 to 48.57.5.3048.57.5.3114
8348.57.5.32/2848.57.5.33 to 48.57.5.4648.57.5.4714
8448.57.5.48/2848.57.5.49 to 48.57.5.6248.57.5.6314
8548.57.5.64/2848.57.5.65 to 48.57.5.7848.57.5.7914
8648.57.5.80/2848.57.5.81 to 48.57.5.9448.57.5.9514
8748.57.5.96/2848.57.5.97 to 48.57.5.11048.57.5.11114
8848.57.5.112/2848.57.5.113 to 48.57.5.12648.57.5.12714
8948.57.5.128/2848.57.5.129 to 48.57.5.14248.57.5.14314
9048.57.5.144/2848.57.5.145 to 48.57.5.15848.57.5.15914
9148.57.5.160/2848.57.5.161 to 48.57.5.17448.57.5.17514
9248.57.5.176/2848.57.5.177 to 48.57.5.19048.57.5.19114
9348.57.5.192/2848.57.5.193 to 48.57.5.20648.57.5.20714
9448.57.5.208/2848.57.5.209 to 48.57.5.22248.57.5.22314
9548.57.5.224/2848.57.5.225 to 48.57.5.23848.57.5.23914
9648.57.5.240/2848.57.5.241 to 48.57.5.25448.57.5.25514
9748.57.6.0/2848.57.6.1 to 48.57.6.1448.57.6.1514
9848.57.6.16/2848.57.6.17 to 48.57.6.3048.57.6.3114
9948.57.6.32/2848.57.6.33 to 48.57.6.4648.57.6.4714
10048.57.6.48/2848.57.6.49 to 48.57.6.6248.57.6.6314
10148.57.6.64/2848.57.6.65 to 48.57.6.7848.57.6.7914
10248.57.6.80/2848.57.6.81 to 48.57.6.9448.57.6.9514
10348.57.6.96/2848.57.6.97 to 48.57.6.11048.57.6.11114
10448.57.6.112/2848.57.6.113 to 48.57.6.12648.57.6.12714
10548.57.6.128/2848.57.6.129 to 48.57.6.14248.57.6.14314
10648.57.6.144/2848.57.6.145 to 48.57.6.15848.57.6.15914
10748.57.6.160/2848.57.6.161 to 48.57.6.17448.57.6.17514
10848.57.6.176/2848.57.6.177 to 48.57.6.19048.57.6.19114
10948.57.6.192/2848.57.6.193 to 48.57.6.20648.57.6.20714
11048.57.6.208/2848.57.6.209 to 48.57.6.22248.57.6.22314
11148.57.6.224/2848.57.6.225 to 48.57.6.23848.57.6.23914
11248.57.6.240/2848.57.6.241 to 48.57.6.25448.57.6.25514
11348.57.7.0/2848.57.7.1 to 48.57.7.1448.57.7.1514
11448.57.7.16/2848.57.7.17 to 48.57.7.3048.57.7.3114
11548.57.7.32/2848.57.7.33 to 48.57.7.4648.57.7.4714
11648.57.7.48/2848.57.7.49 to 48.57.7.6248.57.7.6314
11748.57.7.64/2848.57.7.65 to 48.57.7.7848.57.7.7914
11848.57.7.80/2848.57.7.81 to 48.57.7.9448.57.7.9514
11948.57.7.96/2848.57.7.97 to 48.57.7.11048.57.7.11114
12048.57.7.112/2848.57.7.113 to 48.57.7.12648.57.7.12714
12148.57.7.128/2848.57.7.129 to 48.57.7.14248.57.7.14314
12248.57.7.144/2848.57.7.145 to 48.57.7.15848.57.7.15914
12348.57.7.160/2848.57.7.161 to 48.57.7.17448.57.7.17514
12448.57.7.176/2848.57.7.177 to 48.57.7.19048.57.7.19114
12548.57.7.192/2848.57.7.193 to 48.57.7.20648.57.7.20714
12648.57.7.208/2848.57.7.209 to 48.57.7.22248.57.7.22314
12748.57.7.224/2848.57.7.225 to 48.57.7.23848.57.7.23914
12848.57.7.240/2848.57.7.241 to 48.57.7.25448.57.7.25514
12948.57.8.0/2848.57.8.1 to 48.57.8.1448.57.8.1514
13048.57.8.16/2848.57.8.17 to 48.57.8.3048.57.8.3114
13148.57.8.32/2848.57.8.33 to 48.57.8.4648.57.8.4714
13248.57.8.48/2848.57.8.49 to 48.57.8.6248.57.8.6314
13348.57.8.64/2848.57.8.65 to 48.57.8.7848.57.8.7914
13448.57.8.80/2848.57.8.81 to 48.57.8.9448.57.8.9514
13548.57.8.96/2848.57.8.97 to 48.57.8.11048.57.8.11114
13648.57.8.112/2848.57.8.113 to 48.57.8.12648.57.8.12714
13748.57.8.128/2848.57.8.129 to 48.57.8.14248.57.8.14314
13848.57.8.144/2848.57.8.145 to 48.57.8.15848.57.8.15914
13948.57.8.160/2848.57.8.161 to 48.57.8.17448.57.8.17514
14048.57.8.176/2848.57.8.177 to 48.57.8.19048.57.8.19114
14148.57.8.192/2848.57.8.193 to 48.57.8.20648.57.8.20714
14248.57.8.208/2848.57.8.209 to 48.57.8.22248.57.8.22314
14348.57.8.224/2848.57.8.225 to 48.57.8.23848.57.8.23914
14448.57.8.240/2848.57.8.241 to 48.57.8.25448.57.8.25514
14548.57.9.0/2848.57.9.1 to 48.57.9.1448.57.9.1514
14648.57.9.16/2848.57.9.17 to 48.57.9.3048.57.9.3114
14748.57.9.32/2848.57.9.33 to 48.57.9.4648.57.9.4714
14848.57.9.48/2848.57.9.49 to 48.57.9.6248.57.9.6314
14948.57.9.64/2848.57.9.65 to 48.57.9.7848.57.9.7914
15048.57.9.80/2848.57.9.81 to 48.57.9.9448.57.9.9514
15148.57.9.96/2848.57.9.97 to 48.57.9.11048.57.9.11114
15248.57.9.112/2848.57.9.113 to 48.57.9.12648.57.9.12714
15348.57.9.128/2848.57.9.129 to 48.57.9.14248.57.9.14314
15448.57.9.144/2848.57.9.145 to 48.57.9.15848.57.9.15914
15548.57.9.160/2848.57.9.161 to 48.57.9.17448.57.9.17514
15648.57.9.176/2848.57.9.177 to 48.57.9.19048.57.9.19114
15748.57.9.192/2848.57.9.193 to 48.57.9.20648.57.9.20714
15848.57.9.208/2848.57.9.209 to 48.57.9.22248.57.9.22314
15948.57.9.224/2848.57.9.225 to 48.57.9.23848.57.9.23914
16048.57.9.240/2848.57.9.241 to 48.57.9.25448.57.9.25514
16148.57.10.0/2848.57.10.1 to 48.57.10.1448.57.10.1514
16248.57.10.16/2848.57.10.17 to 48.57.10.3048.57.10.3114
16348.57.10.32/2848.57.10.33 to 48.57.10.4648.57.10.4714
16448.57.10.48/2848.57.10.49 to 48.57.10.6248.57.10.6314
16548.57.10.64/2848.57.10.65 to 48.57.10.7848.57.10.7914
16648.57.10.80/2848.57.10.81 to 48.57.10.9448.57.10.9514
16748.57.10.96/2848.57.10.97 to 48.57.10.11048.57.10.11114
16848.57.10.112/2848.57.10.113 to 48.57.10.12648.57.10.12714
16948.57.10.128/2848.57.10.129 to 48.57.10.14248.57.10.14314
17048.57.10.144/2848.57.10.145 to 48.57.10.15848.57.10.15914
17148.57.10.160/2848.57.10.161 to 48.57.10.17448.57.10.17514
17248.57.10.176/2848.57.10.177 to 48.57.10.19048.57.10.19114
17348.57.10.192/2848.57.10.193 to 48.57.10.20648.57.10.20714
17448.57.10.208/2848.57.10.209 to 48.57.10.22248.57.10.22314
17548.57.10.224/2848.57.10.225 to 48.57.10.23848.57.10.23914
17648.57.10.240/2848.57.10.241 to 48.57.10.25448.57.10.25514
17748.57.11.0/2848.57.11.1 to 48.57.11.1448.57.11.1514
17848.57.11.16/2848.57.11.17 to 48.57.11.3048.57.11.3114
17948.57.11.32/2848.57.11.33 to 48.57.11.4648.57.11.4714
18048.57.11.48/2848.57.11.49 to 48.57.11.6248.57.11.6314
18148.57.11.64/2848.57.11.65 to 48.57.11.7848.57.11.7914
18248.57.11.80/2848.57.11.81 to 48.57.11.9448.57.11.9514
18348.57.11.96/2848.57.11.97 to 48.57.11.11048.57.11.11114
18448.57.11.112/2848.57.11.113 to 48.57.11.12648.57.11.12714
18548.57.11.128/2848.57.11.129 to 48.57.11.14248.57.11.14314
18648.57.11.144/2848.57.11.145 to 48.57.11.15848.57.11.15914
18748.57.11.160/2848.57.11.161 to 48.57.11.17448.57.11.17514
18848.57.11.176/2848.57.11.177 to 48.57.11.19048.57.11.19114
18948.57.11.192/2848.57.11.193 to 48.57.11.20648.57.11.20714
19048.57.11.208/2848.57.11.209 to 48.57.11.22248.57.11.22314
19148.57.11.224/2848.57.11.225 to 48.57.11.23848.57.11.23914
19248.57.11.240/2848.57.11.241 to 48.57.11.25448.57.11.25514
19348.57.12.0/2848.57.12.1 to 48.57.12.1448.57.12.1514
19448.57.12.16/2848.57.12.17 to 48.57.12.3048.57.12.3114
19548.57.12.32/2848.57.12.33 to 48.57.12.4648.57.12.4714
19648.57.12.48/2848.57.12.49 to 48.57.12.6248.57.12.6314
19748.57.12.64/2848.57.12.65 to 48.57.12.7848.57.12.7914
19848.57.12.80/2848.57.12.81 to 48.57.12.9448.57.12.9514
19948.57.12.96/2848.57.12.97 to 48.57.12.11048.57.12.11114
20048.57.12.112/2848.57.12.113 to 48.57.12.12648.57.12.12714
20148.57.12.128/2848.57.12.129 to 48.57.12.14248.57.12.14314
20248.57.12.144/2848.57.12.145 to 48.57.12.15848.57.12.15914
20348.57.12.160/2848.57.12.161 to 48.57.12.17448.57.12.17514
20448.57.12.176/2848.57.12.177 to 48.57.12.19048.57.12.19114
20548.57.12.192/2848.57.12.193 to 48.57.12.20648.57.12.20714
20648.57.12.208/2848.57.12.209 to 48.57.12.22248.57.12.22314
20748.57.12.224/2848.57.12.225 to 48.57.12.23848.57.12.23914
20848.57.12.240/2848.57.12.241 to 48.57.12.25448.57.12.25514
20948.57.13.0/2848.57.13.1 to 48.57.13.1448.57.13.1514
21048.57.13.16/2848.57.13.17 to 48.57.13.3048.57.13.3114
21148.57.13.32/2848.57.13.33 to 48.57.13.4648.57.13.4714
21248.57.13.48/2848.57.13.49 to 48.57.13.6248.57.13.6314
21348.57.13.64/2848.57.13.65 to 48.57.13.7848.57.13.7914
21448.57.13.80/2848.57.13.81 to 48.57.13.9448.57.13.9514
21548.57.13.96/2848.57.13.97 to 48.57.13.11048.57.13.11114
21648.57.13.112/2848.57.13.113 to 48.57.13.12648.57.13.12714
21748.57.13.128/2848.57.13.129 to 48.57.13.14248.57.13.14314
21848.57.13.144/2848.57.13.145 to 48.57.13.15848.57.13.15914
21948.57.13.160/2848.57.13.161 to 48.57.13.17448.57.13.17514
22048.57.13.176/2848.57.13.177 to 48.57.13.19048.57.13.19114
22148.57.13.192/2848.57.13.193 to 48.57.13.20648.57.13.20714
22248.57.13.208/2848.57.13.209 to 48.57.13.22248.57.13.22314
22348.57.13.224/2848.57.13.225 to 48.57.13.23848.57.13.23914
22448.57.13.240/2848.57.13.241 to 48.57.13.25448.57.13.25514
22548.57.14.0/2848.57.14.1 to 48.57.14.1448.57.14.1514
22648.57.14.16/2848.57.14.17 to 48.57.14.3048.57.14.3114
22748.57.14.32/2848.57.14.33 to 48.57.14.4648.57.14.4714
22848.57.14.48/2848.57.14.49 to 48.57.14.6248.57.14.6314
22948.57.14.64/2848.57.14.65 to 48.57.14.7848.57.14.7914
23048.57.14.80/2848.57.14.81 to 48.57.14.9448.57.14.9514
23148.57.14.96/2848.57.14.97 to 48.57.14.11048.57.14.11114
23248.57.14.112/2848.57.14.113 to 48.57.14.12648.57.14.12714
23348.57.14.128/2848.57.14.129 to 48.57.14.14248.57.14.14314
23448.57.14.144/2848.57.14.145 to 48.57.14.15848.57.14.15914
23548.57.14.160/2848.57.14.161 to 48.57.14.17448.57.14.17514
23648.57.14.176/2848.57.14.177 to 48.57.14.19048.57.14.19114
23748.57.14.192/2848.57.14.193 to 48.57.14.20648.57.14.20714
23848.57.14.208/2848.57.14.209 to 48.57.14.22248.57.14.22314
23948.57.14.224/2848.57.14.225 to 48.57.14.23848.57.14.23914
24048.57.14.240/2848.57.14.241 to 48.57.14.25448.57.14.25514
24148.57.15.0/2848.57.15.1 to 48.57.15.1448.57.15.1514
24248.57.15.16/2848.57.15.17 to 48.57.15.3048.57.15.3114
24348.57.15.32/2848.57.15.33 to 48.57.15.4648.57.15.4714
24448.57.15.48/2848.57.15.49 to 48.57.15.6248.57.15.6314
24548.57.15.64/2848.57.15.65 to 48.57.15.7848.57.15.7914
24648.57.15.80/2848.57.15.81 to 48.57.15.9448.57.15.9514
24748.57.15.96/2848.57.15.97 to 48.57.15.11048.57.15.11114
24848.57.15.112/2848.57.15.113 to 48.57.15.12648.57.15.12714
24948.57.15.128/2848.57.15.129 to 48.57.15.14248.57.15.14314
25048.57.15.144/2848.57.15.145 to 48.57.15.15848.57.15.15914
25148.57.15.160/2848.57.15.161 to 48.57.15.17448.57.15.17514
25248.57.15.176/2848.57.15.177 to 48.57.15.19048.57.15.19114
25348.57.15.192/2848.57.15.193 to 48.57.15.20648.57.15.20714
25448.57.15.208/2848.57.15.209 to 48.57.15.22248.57.15.22314
25548.57.15.224/2848.57.15.225 to 48.57.15.23848.57.15.23914
25648.57.15.240/2848.57.15.241 to 48.57.15.25448.57.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses